> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process the import job for sponsorship relationships



## OpenAPI

````yaml post /csv_process/{program_id}/relationships
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /csv_process/{program_id}/relationships:
    post:
      tags:
        - Files
      summary: Process the import job for sponsorship relationships
      operationId: 7351fe183c22e625c3ecb675f16f4bab
      parameters:
        - name: program_id
          in: path
          description: ID of the program
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  description: Client ID
                  type: integer
                  example: 1
                user_id:
                  description: User ID
                  type: integer
                  example: 1
                program_id:
                  description: Program ID
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: >-
                      Your import has been queued. You will receive an email
                      when the job has finished.
                type: object
        '400':
          description: Bad request
        '500':
          description: Server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````